Bug 664544 (CVE-2010-4565) - CVE-2010-4565 kernel: CAN info leak
Summary: CVE-2010-4565 kernel: CAN info leak
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-4565
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 664559 664560 664561
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-20 18:05 UTC by Petr Matousek
Modified: 2021-02-24 16:52 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-29 13:32:31 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0330 0 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2011-03-10 20:04:13 UTC
Red Hat Product Errata RHSA-2011:0498 0 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2011-05-10 18:10:04 UTC

Description Petr Matousek 2010-12-20 18:05:23 UTC
Description of problem:
In bcm_connect() (in net/can/bcm.c), there is the following code:

 sprintf(bo->procname, "%p", sock);

The CAN protocol uses the address of a kernel heap object sock as a proc
filename, revealing information that could be useful during
exploitation.

Reference:
http://seclists.org/oss-sec/2010/q4/103
http://www.spinics.net/lists/netdev/msg145791.html

Acknowledgements:

Red Hat would like to thank Dan Rosenberg for reporting this issue.

Comment 1 Petr Matousek 2010-12-20 18:09:21 UTC
Statement:

The Linux kernel as shipped with Red Hat Enterprise Linux 3, 4 and 5 did not
include CAN bus subsystem support, and therefore are not affected by this
issue. This has been addressed in Red Hat Enterprise MRG via https://rhn.redhat.com/errata/RHSA-2011-0330.html. A future kernel update in Red Hat Enterprise Linux 6 may address this flaw.

Comment 4 Eugene Teo (Security Response) 2010-12-29 05:18:40 UTC
Patch: http://www.spinics.net/lists/netdev/msg151020.html

Comment 6 errata-xmlrpc 2011-03-10 20:05:01 UTC
This issue has been addressed in following products:

  MRG for RHEL-5

Via RHSA-2011:0330 https://rhn.redhat.com/errata/RHSA-2011-0330.html

Comment 7 errata-xmlrpc 2011-05-10 18:11:25 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0498 https://rhn.redhat.com/errata/RHSA-2011-0498.html


Note You need to log in before you can comment on or make changes to this bug.